org.eclipse.mat.ibmvm.acquire

## Class IBMExecVmInfo

- java.lang.Object
- - org.eclipse.mat.snapshot.acquire.VmInfo
  - - org.eclipse.mat.ibmvm.acquire.IBMVmInfo
    - - org.eclipse.mat.ibmvm.acquire.IBMExecVmInfo

    public class IBMExecVmInfo
    extends IBMVmInfo

Information about an IBM VM, for use when using a helper VM to create a dump.

### Field Summary

Fields
`File` `javaexecutable`
`String[]` `vmoptions`

### Fields inherited from class org.eclipse.mat.ibmvm.acquire.IBMVmInfo

`compress, dumpdir, type`

### Method Summary

### Methods inherited from class org.eclipse.mat.ibmvm.acquire.IBMVmInfo

`getProposedFileName`

### Methods inherited from class org.eclipse.mat.snapshot.acquire.VmInfo

`getDescription, getHeapDumpProvider, getPid, isHeapDumpEnabled, setDescription, setHeapDumpEnabled, setHeapDumpProvider, setPid, setProposedFileName, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### javaexecutable

    public File javaexecutable

#### vmoptions

    public String[] vmoptions